
=head1 NAME

Win32::GUI::MDIClient - Create and manipulate MDI Windows

=head1 DESCRIPTION

[TBD]

=for comment $Id: per_package_method_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 METHODS

L<Common methods|Win32::GUI::Reference::Methods> apply to most windows, controls and resources.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 new

B<new(%OPTIONS)>

Creates a new MDI Client object.

Class specific B<%OPTIONS> are:

See also the L<common options|Win32::GUI::Reference::Options>.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Activate

B<Activate(MDICHILD)>

Activate a MDI child window.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 AddMDIChild

B<AddMDIChild(%OPTIONS)>

See L<new Win32::GUI::MDIChild()|Win32::GUI::MDIChild/new>.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Cascade

B<Cascade([FLAG=MDITILE_SKIPDISABLED])>

Arrange all its child windows in a cascade format.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Close

B<Close(MDICHILD)>

Close an MDI child window

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 GetActive

B<GetActive()>

Return handle to active child

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 GetDC

B<GetDC()>

Returns the DC object associated with the window.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 IconArrange

B<IconArrange()>

Arrange all minimized MDI child windows. It does not affect child windows that are not minimized.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Maximize

B<Maximize(MDICHILD)>

Maximize an MDI child window

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Next

B<Next([MDICHILD])>

Activate the next child window.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Previous

B<Previous([MDICHILD])>

Activate the previous child window.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 RefreshMenu

B<RefreshMenu()>

Activate the previous child window.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Restore

B<Restore(MDICHILD)>

Restore a child window.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Tile

B<Tile([FLAG=MDITILE_HORIZONTAL])>

Tiled child windows.

B<FLAG> :

 MDITILE_VERTICAL     0 Tiles MDI child windows so that they are tall rather than wide.
 MDITILE_HORIZONTAL   1 Tiles MDI child windows so that they are wide rather than tall.
 MDITILE_SKIPDISABLED 2 Prevents disabled MDI child windows from being tiled.




=for comment $Id: per_package_event_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 EVENTS

L<Common events|Win32::GUI::Reference::Events> apply to most windows and controls.





=for comment $Id: pod_postamble.tpl,v 1.2 2005/08/03 21:45:59 robertemay Exp $

=head1 VERSION

Documentation for Win32::GUI v1.04 created 29 Oct 2006

This document is autogenerated by the build process. Edits made here will be lost.
Edit F<docs/per_package.tpl> instead.

=head1 SUPPORT

Homepage: L<http://perl-win32-gui.sourceforge.net/>.

For further support join the users mailing list(C<perl-win32-gui-users@lists.sourceforge.net>) from the website
at L<http://lists.sourceforge.net/lists/listinfo/perl-win32-gui-users>.  There is a searchable list archive at L<http://sourceforge.net/mail/?group_id=16572>.

=head1 COPYRIGHT and LICENCE

Copyright (c) 1997..2006 Aldo Calpini. All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.


